<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.yidian.shenghuoquan.broot.ui.test.TestViewModel" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp50"
            android:text="环境切换"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp18"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <RadioGroup
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp20"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title">

            <RadioButton
                android:id="@+id/radio_dev"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="onRadioButtonClicked"
                android:paddingStart="@dimen/dp10"
                android:paddingEnd="@dimen/dp10"
                android:text="开发环境"
                android:textColor="@color/colorAccent"
                android:textSize="@dimen/sp16" />

            <RadioButton
                android:id="@+id/radio_test"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp10"
                android:onClick="onRadioButtonClicked"
                android:paddingStart="@dimen/dp10"
                android:paddingEnd="@dimen/dp10"
                android:text="测试环境"
                android:textColor="@color/color_1852F1"
                android:textSize="@dimen/sp16" />

            <RadioButton
                android:id="@+id/radio_prod"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp10"
                android:onClick="onRadioButtonClicked"
                android:paddingStart="@dimen/dp10"
                android:paddingEnd="@dimen/dp10"
                android:text="生产环境"
                android:textColor="@color/color_FF3A3A"
                android:textSize="@dimen/sp16" />
        </RadioGroup>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>